importScripts('https://storage.googleapis.com/workbox-cdn/releases/5.1.4/workbox-sw.js');

workbox.core.setCacheNameDetails({
  prefix: 'converse.nexedi',
});

// Note: this is populated at build time.
workbox.precaching.precacheAndRoute(self.__WB_MANIFEST,
  // we ignore wvi0ht for urls like :
  //  /fonticons/fonts/icomoon.ttf?wvi0ht
  { ignoreUrlParametersMatching: [/^wvi0ht/] }
)

